{# Templates/City/optionUpgradeSoldier.html.twig #}
{# City index (no options has been selected - lighter to load since it doesn't to compute any options data) #}

{% extends 'City/city.html.twig' %}

{% trans_default_domain 'City' %}

{% block cityOptionsTitle %}
	{{ 'header.actions' | trans }}
{% endblock %}

{% block cityOption %}
	<div class="contactions">
		{% include 'City/Components/pendingConstruction.html.twig' with
			{'constructionProject': lord.city.constructionProject, 'remainingHammers': lord.city.storageCount('remainingHammers')}
		%}

		{% set actionAvailable = false %}
		<ul class="actions">
			{% if lord.city.getStorageCount('worker') > 0 %}
				<li>
					{% set spanName = ('messages.build.start' | trans) %}
					{% set actionAvailable = true %}
					{% if lord.city.constructionProject != null %}
						{% set spanName = ('messages.build.list' | trans) %}
					{% endif %}
					<div onclick="document.location = '/city/chooseConstruction'">
						<img src="{{ asset('img/icons/a_build.png') }}" alt="Build Action">
						<span>{{ spanName }}</span>
					</div>
				</li>
			{% endif %}
			{% if lord.city.constructionProject != null %}
				{% set actionAvailable = true %}
				<li>
					<div onclick="document.location = '/city/cancelConstruction'">
						<img src="{{ asset('img/icons/a_nobuild.png') }}" alt="Cancel Construction Action">
						<span>{{ 'messages.build.cancel' | trans }}</span>
					</div>
				</li>
			{% endif %}
			{% if lord.city.buildingLevel('barracks') > 0 %}
				{% set actionAvailable = true %}
				<li>
					<div onclick="document.location = '/city/chooseSoldierUpgrade'">
						<img src="{{ asset('/img/icons/a_sold.png') }}" alt="Upgrade Units Action">
						<span>{{ 'header.soldierOptions' | trans }}</span>
					</div>
				</li>
				{% endif %}
			{% if lord.city.buildingLevel('cauldron') > 0 or lord.city.buildingLevel('butcher') > 0 or lord.city.buildingLevel('factory') > 0 %}
				{% set actionAvailable = true %}
				<li>
					<div onclick="document.location = '/city/chooseResourceConversion'">
						<img src="{{ asset('/img/icons/a_resconvert.png') }}" alt="Convert Resources Action">
						<span>{{ 'header.convertResources' | trans }}</span>
					</div>
				</li>
			{% endif %}
			{% set generalCount = lord.generals|length %}
			{% if lord.city.buildingLevel('headquarters') > 0 and generalCount < lord.city.buildingLevel('headquarters') %}
				{% set actionAvailable = true %}
				{% include 'Components/RecruitGeneralButton.html.twig' %}
			{% endif %}
		</ul>
		{% if actionAvailable == false %}
			<p class="nothing">
				{{ 'messages.noAction' | trans }}
			</p>
		{% endif %}
		<div class="clear">
		</div>
	</div>
{% endblock %}